GET
/ai_labs/organization/{Organization_Id}/activity-logs/
curl --request GET \ --url 'https://api.e2enetworks.com/myaccount/api/v1/gpu/ai_labs/organization/{Organization_Id}/activity-logs/?location=<LOCATION>&service_name=<SERVICE_NAME>&apikey=<API_KEY>' \ --header 'Authorization: Bearer <API_TOKEN>'import requests
response = requests.get( "https://api.e2enetworks.com/myaccount/api/v1/gpu/ai_labs/organization/{Organization_Id}/activity-logs/", params={"location": "<LOCATION>", "service_name": "<SERVICE_NAME>", "apikey": "<API_KEY>"}, headers={"Authorization": "Bearer <API_TOKEN>"},)print(response.json())const url = new URL("https://api.e2enetworks.com/myaccount/api/v1/gpu/ai_labs/organization/{Organization_Id}/activity-logs/");url.search = new URLSearchParams({ location: "<LOCATION>", service_name: "<SERVICE_NAME>", apikey: "<API_KEY>" });
const response = await fetch(url, { method: "GET", headers: { "Authorization": "Bearer <API_TOKEN>" },});console.log(await response.json());Note: AI Labs is currently available only in the Delhi region. Get activity logs and timeline for the organization
Parameters
Section titled “Parameters”Path Parameters
Section titled “Path Parameters”Organization_Id
required
integer
Organization ID
Query Parameters
Section titled “Query Parameters”location
required
string
Location
active_iam
integer
Active IAM ID (To access contact person account) Find your Active IAM ID here
service_name
required
string
Service Name
date_filter
string
Date filter for activity logs. If custom is selected, use start_date and end_date parameters
Example
current_monthrole
string
Filter activity logs by user role
Example
ProfessionalResponses
Section titled “Responses”Response containing activity logs for resources like datasets and notebooks
Media typeapplication/json
object
code
integer
data
Array<object>
object
service
string
resource_name
string
resource_id
string
event
string
client_ip
string
status
string
detailed_info
object
response
object
code
integer
data
Full dataset or notebook resource object
object
errors
object
message
string
project_id
integer
timestamp
string format: date-time
event_type
string
description
string
activity_by
object
id
integer
name
string
email
string
username
string
course_id
integer
errors
object
message
string
Example
{ "code": 200, "data": [ { "service": "AI_LABS_DATASET_SERVICE", "resource_name": "tir-dataset-060216425656", "resource_id": "2387", "event": "DATASET_CREATE_WITH_DISK", "client_ip": "14.143.159.8", "status": "Success", "detailed_info": { "response": { "code": 201, "errors": {}, "message": "Created Successfully" }, "project_id": 1223 }, "timestamp": "2025-06-02T11:13:00.446283Z", "event_type": "Create", "description": "Dataset <strong>tir-dataset-060216425656</strong> created successfully using a Disk", "activity_by": { "id": 4946, "name": "Demo User", "email": "pqrs@stuv.com", "username": "pqrs@stuv.com" }, "course_id": 45 } ], "errors": {}, "message": "Success"}